( $file ) = @ARGV;
if (@ARGV < 1) {
  print $USAGE_STR;  exit(1);
}

# Open a textfile
open(INPUT, $file)  || die "cannot open $file";

$head = 1;

while (<INPUT>) {
  #print "### " . $_;
  if ($_ =~ /^..\/motf/ && $head > 0) {
    $head = 0;
    if ($_ =~ / -gclo /) {
      $finder="clo";
    }
    elsif ($_ =~ / -gfrq /) {
      $finder="frq";
    }
    else {
      $finder="none";
    }

    if ($_ =~ /-R ([0-9]+) /) {
      print "R $1\t"; 
    }

    if ($_ =~ /-m ([0-9]+) /) {
      print "m $1\t"; 
    }

    if ($_ =~ /-mg ([0-9]+) /) {
      print "mg $1\t"; 
    }

    if ($_ =~ /\.\.\/data\/([a-zA-Z.]\.dat)/) {
      print "data $1\t"; 
    }
  }

  if ($_ =~ /^RESULT: ([a-zA-Z]+)/) {
    $type=$1;
  }

  if ($_ =~ /log RunTime: ([0-9]+) \[ms\]/) {
    $time = $1;
    print "time_$type $time\t";
  }

  if ($_ =~ /log number of patterns found: ([0-9]+)/) {
    $numpat = $1;
    print "num_$type $numpat\t";
  }

}
print "\n";

# Close the textfile
close(INPUT);

